Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 610350 - dev-haskell/yesod-routes-1.2.0.7-r2 : Yesod/.../ParseRoute.hs:53:5: error:
Summary: dev-haskell/yesod-routes-1.2.0.7-r2 : Yesod/.../ParseRoute.hs:53:5: error:
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-21 08:29 UTC by Toralf Förster
Modified: 2017-11-22 20:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,5.51 KB, text/plain)
2017-02-21 08:29 UTC, Toralf Förster
Details
dev-haskell:yesod-routes-1.2.0.7-r2:20170221-044945.log (dev-haskell:yesod-routes-1.2.0.7-r2:20170221-044945.log,8.66 KB, text/plain)
2017-02-21 08:29 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,221.87 KB, text/plain)
2017-02-21 08:29 UTC, Toralf Förster
Details
environment (environment,107.00 KB, text/plain)
2017-02-21 08:29 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.04 KB, application/x-bzip)
2017-02-21 08:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-02-21 08:29:32 UTC
[ 6 of 10] Compiling Yesod.Routes.TH.ParseRoute ( Yesod/Routes/TH/ParseRoute.hs, dist/build/Yesod/Routes/TH/ParseRoute.o )

Yesod/Routes/TH/ParseRoute.hs:53:5: error:
    • Couldn't match type ‘[Dec] -> Dec’ with ‘Dec’
      Expected type: Q Dec
        Actual type: Q ([Dec] -> Dec)

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named 13.0-abi32+64_20170216-202818) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *
llvm-config:
3.9.1
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
Comment 1 Toralf Förster gentoo-dev 2017-02-21 08:29:35 UTC
Created attachment 464484 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-02-21 08:29:38 UTC
Created attachment 464486 [details]
dev-haskell:yesod-routes-1.2.0.7-r2:20170221-044945.log
Comment 3 Toralf Förster gentoo-dev 2017-02-21 08:29:42 UTC
Created attachment 464488 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-02-21 08:29:45 UTC
Created attachment 464490 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-02-21 08:29:48 UTC
Created attachment 464492 [details]
etc.portage.tbz2
Comment 6 Sergei Trofimovich gentoo-dev 2017-02-25 17:31:38 UTC
Marked yesod-routes as incompatible with ghc-8:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7dbfecf6d60e8518ddd647c6cf2c75567d11040a